build-{packagename}-{arch}:
    stage: build
    timeout: 12 hours
    script: {script}
    artifacts:
        name: "packages"
        expire_in: 7 days
        paths:
            - packages/
    retry:
        max: 2
        when:
            - runner_system_failure
            - stuck_or_timeout_failure
            - script_failure
    tags:
        - x86_64